# Recyclarr

[![MIT license](https://img.shields.io/badge/License-MIT-blue.svg)](https://github.com/recyclarr/recyclarr/blob/master/LICENSE)
[![Build & Test](https://github.com/recyclarr/recyclarr/actions/workflows/build.yml/badge.svg)](https://github.com/recyclarr/recyclarr/actions/workflows/build.yml)
[![Quality Gate Status](https://sonarcloud.io/api/project_badges/measure?project=recyclarr_recyclarr&metric=alert_status)](https://sonarcloud.io/summary/new_code?id=recyclarr_recyclarr)
[![GitHub release](https://img.shields.io/github/release/recyclarr/recyclarr.svg)](https://github.com/recyclarr/recyclarr/releases/)
[![Support Server](https://img.shields.io/discord/492590071455940612.svg?color=7289da&label=TRaSH-Guides&logo=discord&style=flat-square)](https://discord.com/invite/Vau8dZ3)

A command-line application that will automatically synchronize recommended settings from the [TRaSH
guides](https://trash-guides.info/) to your Sonarr/Radarr instances.

## Features

Recyclarr supports Radarr and Sonarr (v4 and higher only). The following information can be synced
to these services from the TRaSH Guides. For a more detailed features list, see the [Features] page.

[Features]: https://recyclarr.dev/wiki/features/

- Quality Profiles, including qualities and quality groups
- Custom Formats, including scores (from guide or manual)
- Quality Definitions (file sizes)
- Media Naming Formats

## Read the Documentation

Main documentation is located in [the wiki](https://recyclarr.dev/wiki). Links provided below for
some main topics.

- [Installation](https://recyclarr.dev/wiki/installation/)
- [Command Line Reference](https://recyclarr.dev/wiki/cli/)
- [Configuration Reference](https://recyclarr.dev/wiki/yaml/config-reference/)
- [Settings Reference](https://recyclarr.dev/wiki/yaml/settings-reference/)
- [Troubleshooting](https://recyclarr.dev/wiki/troubleshooting/help/)
- [Upgrade Guides](https://recyclarr.dev/wiki/upgrade-guide/)
