using Autofac;

namespace Recyclarr.Notifications;

internal sealed class NotificationScope(ILifetimeScope scope) : IDisposable
{
    public static string ScopeName => "notification";

    private readonly ILifetimeScope _scope = scope.BeginLifetimeScope(ScopeName);

    public void Dispose()
    {
        _scope.Dispose();
    }
}
